/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-08-16
 * 描述            ：二级接口-宝信罩退炉PDI-下发
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.anneal.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.anneal.mapper.IfBaf01PdiMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_BAF01_PDI", namespace=IfBaf01PdiMapper.class)
public class IfBaf01Pdi extends BaseVO implements Serializable {
	/** 
	 * 下发时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date send_time;
	public Date getSend_time() {
		return this.send_time;
	}
	public void setSend_time(Date send_time) {
		this.send_time = send_time;
	}

	/** 
	 * 下发人
	 */ 
	@Column
	private String send_opr;
	public String getSend_opr() {
		return this.send_opr;
	}
	public void setSend_opr(String send_opr) {
		this.send_opr = send_opr;
	}

	/** 
	 * 计划号
	 */ 
	@Column
	private String plan_no;
	public String getPlan_no() {
		return this.plan_no;
	}
	public void setPlan_no(String plan_no) {
		this.plan_no = plan_no;
	}

	/** 
	 * 序号
	 */ 
	@Column
	private Long seq_no;
	public Long getSeq_no() {
		return this.seq_no;
	}
	public void setSeq_no(Long seq_no) {
		this.seq_no = seq_no;
	}

	/** 
	 * 机组代码（区分厂家：艾伯纳、中冶南方、宝信）
	 */ 
	@Column
	private String unit_code;
	public String getUnit_code() {
		return this.unit_code;
	}
	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}

	/** 
	 * 计划类型（0：正常计划、1：返修计划）
	 */ 
	@Column
	private String plan_type;
	public String getPlan_type() {
		return this.plan_type;
	}
	public void setPlan_type(String plan_type) {
		this.plan_type = plan_type;
	}

	/** 
	 * 返修类型
	 */ 
	@Column
	private String repair_type;
	public String getRepair_type() {
		return this.repair_type;
	}
	public void setRepair_type(String repair_type) {
		this.repair_type = repair_type;
	}

	/** 
	 * 等分卷数
	 */ 
	@Column
	private Long divide_num;
	public Long getDivide_num() {
		return this.divide_num;
	}
	public void setDivide_num(Long divide_num) {
		this.divide_num = divide_num;
	}

	/** 
	 * 入口钢卷类型（0：虚拟钢卷、1：实物钢卷）
	 */ 
	@Column
	private String in_mat_type;
	public String getIn_mat_type() {
		return this.in_mat_type;
	}
	public void setIn_mat_type(String in_mat_type) {
		this.in_mat_type = in_mat_type;
	}

	/** 
	 * 库区代码
	 */ 
	@Column
	private String stock_code;
	public String getStock_code() {
		return this.stock_code;
	}
	public void setStock_code(String stock_code) {
		this.stock_code = stock_code;
	}

	/** 
	 * 库位号
	 */ 
	@Column
	private String location_no;
	public String getLocation_no() {
		return this.location_no;
	}
	public void setLocation_no(String location_no) {
		this.location_no = location_no;
	}

	/** 
	 * 入口钢卷号
	 */ 
	@Column
	private String in_mat_no;
	public String getIn_mat_no() {
		return this.in_mat_no;
	}
	public void setIn_mat_no(String in_mat_no) {
		this.in_mat_no = in_mat_no;
	}

	/** 
	 * 入口钢卷厚度（mm）
	 */ 
	@Column
	private Double in_mat_thick;
	public Double getIn_mat_thick() {
		return this.in_mat_thick;
	}
	public void setIn_mat_thick(Double in_mat_thick) {
		this.in_mat_thick = in_mat_thick;
	}

	/** 
	 * 入口钢卷宽度（mm）
	 */ 
	@Column
	private Double in_mat_width;
	public Double getIn_mat_width() {
		return this.in_mat_width;
	}
	public void setIn_mat_width(Double in_mat_width) {
		this.in_mat_width = in_mat_width;
	}

	/** 
	 * 入口钢卷长度（m）
	 */ 
	@Column
	private Double in_mat_len;
	public Double getIn_mat_len() {
		return this.in_mat_len;
	}
	public void setIn_mat_len(Double in_mat_len) {
		this.in_mat_len = in_mat_len;
	}

	/** 
	 * 入口钢卷内径（mm）
	 */ 
	@Column
	private Double in_mat_in_dia;
	public Double getIn_mat_in_dia() {
		return this.in_mat_in_dia;
	}
	public void setIn_mat_in_dia(Double in_mat_in_dia) {
		this.in_mat_in_dia = in_mat_in_dia;
	}

	/** 
	 * 入口钢卷外径（mm）
	 */ 
	@Column
	private Double in_mat_dia;
	public Double getIn_mat_dia() {
		return this.in_mat_dia;
	}
	public void setIn_mat_dia(Double in_mat_dia) {
		this.in_mat_dia = in_mat_dia;
	}

	/** 
	 * 入口钢卷重量（t）
	 */ 
	@Column
	private Double in_mat_wt;
	public Double getIn_mat_wt() {
		return this.in_mat_wt;
	}
	public void setIn_mat_wt(Double in_mat_wt) {
		this.in_mat_wt = in_mat_wt;
	}

	/** 
	 * 出口材料号
	 */ 
	@Column
	private String out_mat_no;
	public String getOut_mat_no() {
		return this.out_mat_no;
	}
	public void setOut_mat_no(String out_mat_no) {
		this.out_mat_no = out_mat_no;
	}

	/** 
	 * 出口钢卷厚度（mm）
	 */ 
	@Column
	private Double out_mat_thick;
	public Double getOut_mat_thick() {
		return this.out_mat_thick;
	}
	public void setOut_mat_thick(Double out_mat_thick) {
		this.out_mat_thick = out_mat_thick;
	}

	/** 
	 * 出口材料厚度最小值（mm）
	 */ 
	@Column
	private Double out_mat_min_thick;
	public Double getOut_mat_min_thick() {
		return this.out_mat_min_thick;
	}
	public void setOut_mat_min_thick(Double out_mat_min_thick) {
		this.out_mat_min_thick = out_mat_min_thick;
	}

	/** 
	 * 出口材料厚度最大值（mm）
	 */ 
	@Column
	private Double out_mat_max_thick;
	public Double getOut_mat_max_thick() {
		return this.out_mat_max_thick;
	}
	public void setOut_mat_max_thick(Double out_mat_max_thick) {
		this.out_mat_max_thick = out_mat_max_thick;
	}

	/** 
	 * 出口材料宽度（mm）
	 */ 
	@Column
	private Double out_mat_width;
	public Double getOut_mat_width() {
		return this.out_mat_width;
	}
	public void setOut_mat_width(Double out_mat_width) {
		this.out_mat_width = out_mat_width;
	}

	/** 
	 * 出口材料宽度最小值（mm）
	 */ 
	@Column
	private Double out_mat_min_width;
	public Double getOut_mat_min_width() {
		return this.out_mat_min_width;
	}
	public void setOut_mat_min_width(Double out_mat_min_width) {
		this.out_mat_min_width = out_mat_min_width;
	}

	/** 
	 * 出口材料宽度最大值（mm）
	 */ 
	@Column
	private Double out_mat_max_width;
	public Double getOut_mat_max_width() {
		return this.out_mat_max_width;
	}
	public void setOut_mat_max_width(Double out_mat_max_width) {
		this.out_mat_max_width = out_mat_max_width;
	}

	/** 
	 * 出口材料长度（m）
	 */ 
	@Column
	private Double out_mat_len;
	public Double getOut_mat_len() {
		return this.out_mat_len;
	}
	public void setOut_mat_len(Double out_mat_len) {
		this.out_mat_len = out_mat_len;
	}

	/** 
	 * 出口材料长度最小值（m）
	 */ 
	@Column
	private Double out_mat_min_len;
	public Double getOut_mat_min_len() {
		return this.out_mat_min_len;
	}
	public void setOut_mat_min_len(Double out_mat_min_len) {
		this.out_mat_min_len = out_mat_min_len;
	}

	/** 
	 * 出口材料长度最大值（m）
	 */ 
	@Column
	private Double out_mat_max_len;
	public Double getOut_mat_max_len() {
		return this.out_mat_max_len;
	}
	public void setOut_mat_max_len(Double out_mat_max_len) {
		this.out_mat_max_len = out_mat_max_len;
	}

	/** 
	 * 出口材料内径（mm）
	 */ 
	@Column
	private Double out_mat_inner_dia;
	public Double getOut_mat_inner_dia() {
		return this.out_mat_inner_dia;
	}
	public void setOut_mat_inner_dia(Double out_mat_inner_dia) {
		this.out_mat_inner_dia = out_mat_inner_dia;
	}

	/** 
	 * 出口材料外径（mm）
	 */ 
	@Column
	private Double out_mat_outer_dia;
	public Double getOut_mat_outer_dia() {
		return this.out_mat_outer_dia;
	}
	public void setOut_mat_outer_dia(Double out_mat_outer_dia) {
		this.out_mat_outer_dia = out_mat_outer_dia;
	}

	/** 
	 * 出口材料重量（t）
	 */ 
	@Column
	private Double out_mat_wt;
	public Double getOut_mat_wt() {
		return this.out_mat_wt;
	}
	public void setOut_mat_wt(Double out_mat_wt) {
		this.out_mat_wt = out_mat_wt;
	}

	/** 
	 * 出口材料重量最小值（t）
	 */ 
	@Column
	private Double out_mat_min_wt;
	public Double getOut_mat_min_wt() {
		return this.out_mat_min_wt;
	}
	public void setOut_mat_min_wt(Double out_mat_min_wt) {
		this.out_mat_min_wt = out_mat_min_wt;
	}

	/** 
	 * 出口材料重量最大值（t）
	 */ 
	@Column
	private Double out_mat_max_wt;
	public Double getOut_mat_max_wt() {
		return this.out_mat_max_wt;
	}
	public void setOut_mat_max_wt(Double out_mat_max_wt) {
		this.out_mat_max_wt = out_mat_max_wt;
	}

	/** 
	 * 出口计重方式
	 */ 
	@Column
	private String wt_mode;
	public String getWt_mode() {
		return this.wt_mode;
	}
	public void setWt_mode(String wt_mode) {
		this.wt_mode = wt_mode;
	}

	/** 
	 * 后工序代码
	 */ 
	@Column
	private String next_whole_backlog_code;
	public String getNext_whole_backlog_code() {
		return this.next_whole_backlog_code;
	}
	public void setNext_whole_backlog_code(String next_whole_backlog_code) {
		this.next_whole_backlog_code = next_whole_backlog_code;
	}

	/** 
	 * 前工序代码
	 */ 
	@Column
	private String prev_whole_backlog_code;
	public String getPrev_whole_backlog_code() {
		return this.prev_whole_backlog_code;
	}
	public void setPrev_whole_backlog_code(String prev_whole_backlog_code) {
		this.prev_whole_backlog_code = prev_whole_backlog_code;
	}

	/** 
	 * 合同号
	 */ 
	@Column
	private String order_no;
	public String getOrder_no() {
		return this.order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	/** 
	 * 订货厚度（mm）
	 */ 
	@Column
	private Double order_thick;
	public Double getOrder_thick() {
		return this.order_thick;
	}
	public void setOrder_thick(Double order_thick) {
		this.order_thick = order_thick;
	}

	/** 
	 * 订货宽度（mm）
	 */ 
	@Column
	private Double order_width;
	public Double getOrder_width() {
		return this.order_width;
	}
	public void setOrder_width(Double order_width) {
		this.order_width = order_width;
	}

	/** 
	 * 订货单件最大重量（t）
	 */ 
	@Column
	private Double order_unit_max_wt;
	public Double getOrder_unit_max_wt() {
		return this.order_unit_max_wt;
	}
	public void setOrder_unit_max_wt(Double order_unit_max_wt) {
		this.order_unit_max_wt = order_unit_max_wt;
	}

	/** 
	 * 订货单件最小重量（t）
	 */ 
	@Column
	private Double order_unit_min_wt;
	public Double getOrder_unit_min_wt() {
		return this.order_unit_min_wt;
	}
	public void setOrder_unit_min_wt(Double order_unit_min_wt) {
		this.order_unit_min_wt = order_unit_min_wt;
	}

	/** 
	 * 订货单件目标重量（t）
	 */ 
	@Column
	private Double order_unit_aim_wt;
	public Double getOrder_unit_aim_wt() {
		return this.order_unit_aim_wt;
	}
	public void setOrder_unit_aim_wt(Double order_unit_aim_wt) {
		this.order_unit_aim_wt = order_unit_aim_wt;
	}

	/** 
	 * 炉号
	 */ 
	@Column
	private String pono_no;
	public String getPono_no() {
		return this.pono_no;
	}
	public void setPono_no(String pono_no) {
		this.pono_no = pono_no;
	}

	/** 
	 * 制造命令号
	 */ 
	@Column
	private String pono;
	public String getPono() {
		return this.pono;
	}
	public void setPono(String pono) {
		this.pono = pono;
	}

	/** 
	 * 产品最终用途码
	 */ 
	@Column
	private String apn;
	public String getApn() {
		return this.apn;
	}
	public void setApn(String apn) {
		this.apn = apn;
	}

	/** 
	 * 交货日期
	 */ 
	@Column
	private String delivy_date;
	public String getDelivy_date() {
		return this.delivy_date;
	}
	public void setDelivy_date(String delivy_date) {
		this.delivy_date = delivy_date;
	}

	/** 
	 * 包装代码
	 */ 
	@Column
	private String package_code;
	public String getPackage_code() {
		return this.package_code;
	}
	public void setPackage_code(String package_code) {
		this.package_code = package_code;
	}

	/** 
	 * 钢种
	 */ 
	@Column
	private String sg_sign;
	public String getSg_sign() {
		return this.sg_sign;
	}
	public void setSg_sign(String sg_sign) {
		this.sg_sign = sg_sign;
	}

	/** 
	 * 密度
	 */ 
	@Column
	private Double density;
	public Double getDensity() {
		return this.density;
	}
	public void setDensity(Double density) {
		this.density = density;
	}

	/** 
	 * 合同特殊要求
	 */ 
	@Column
	private String order_special;
	public String getOrder_special() {
		return this.order_special;
	}
	public void setOrder_special(String order_special) {
		this.order_special = order_special;
	}

	/** 
	 * 目标表面结构（毛面、光面）
	 */ 
	@Column
	private String surface_struct_code;
	public String getSurface_struct_code() {
		return this.surface_struct_code;
	}
	public void setSurface_struct_code(String surface_struct_code) {
		this.surface_struct_code = surface_struct_code;
	}

	/** 
	 * 退火曲线代码
	 */ 
	@Column
	private String anneal_diagram_code;
	public String getAnneal_diagram_code() {
		return this.anneal_diagram_code;
	}
	public void setAnneal_diagram_code(String anneal_diagram_code) {
		this.anneal_diagram_code = anneal_diagram_code;
	}

	/** 
	 * 退火温度最小值
	 */ 
	@Column
	private Long anneal_temp_min;
	public Long getAnneal_temp_min() {
		return this.anneal_temp_min;
	}
	public void setAnneal_temp_min(Long anneal_temp_min) {
		this.anneal_temp_min = anneal_temp_min;
	}

	/** 
	 * 退火温度目标值
	 */ 
	@Column
	private Long anneal_temp_aim;
	public Long getAnneal_temp_aim() {
		return this.anneal_temp_aim;
	}
	public void setAnneal_temp_aim(Long anneal_temp_aim) {
		this.anneal_temp_aim = anneal_temp_aim;
	}

	/** 
	 * 退火温度最大值
	 */ 
	@Column
	private Long anneal_temp_max;
	public Long getAnneal_temp_max() {
		return this.anneal_temp_max;
	}
	public void setAnneal_temp_max(Long anneal_temp_max) {
		this.anneal_temp_max = anneal_temp_max;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String remark;
	public String getRemark() {
		return this.remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}

}
